CREATE SEQUENCE servers_id_seq;
CREATE TABLE servers (
  id bigint NOT NULL DEFAULT nextval('servers_id_seq') PRIMARY KEY,
  host varchar(255) DEFAULT NULL,
  name varchar(255) DEFAULT NULL,
  version varchar(63) DEFAULT 'latest',
  server_type varchar(63) DEFAULT 'VANILLA',
  cpu varchar(63) DEFAULT '500',
  memory varchar(63) DEFAULT '512',
  backup_enabled BOOLEAN DEFAULT FALSE,
  backup_host varchar(255) DEFAULT NULL,
  backup_bucket_path varchar(255) DEFAULT NULL,
  backup_id varchar(255) DEFAULT NULL,
  backup_key varchar(255) DEFAULT NULL,
  backup_interval varchar(255) DEFAULT NULL,
  CONSTRAINT unique_host UNIQUE(host)
);
ALTER SEQUENCE servers_id_seq OWNED BY servers.id;