import { Router, json as jsonMiddleware } from "express";
import multer from "multer";
import {
  createFolder,
  deleteItem,
  listFiles,
  uploadItem,
  getItem,
} from "../controllers/file-controller.js";

const router = Router();
router.use(jsonMiddleware());
const multerMiddleware = multer();

router.post("/list", listFiles);
router.post("/folder", createFolder);
router.delete("/item", deleteItem);
router.post("/item", getItem);
router.post("/upload", multerMiddleware.single("file"), uploadItem);

export default router;
